MACRO(PKGCONFIG _found _package _libs _include_dirs _lib_dirs _cflags
_ldflags)

  SET(${_found})
  SET(${_libs})
  SET(${_include_dirs})
  SET(${_lib_dirs})
  SET(${_cflags})
  SET(${_ldflags})

  FIND_PROGRAM(_pkgconfig NAMES pkg-config PATH /usr/local/bin)

  IF(_pkgconfig)
    EXEC_PROGRAM(${_pkgconfig} ARGS \"${_package}\" --exists
RETURN_VALUE _missing OUTPUT_VARIABLE _pkgconfigDevNull)

    IF(NOT _missing)
      EXEC_PROGRAM(${_pkgconfig} ARGS \"${_package}\" --libs-only-l
OUTPUT_VARIABLE _tmp)
      STRING(REPLACE " \n" "" _tmp "${_tmp}")
      STRING(REPLACE "-l" "" _tmp "${_tmp}")
      SEPARATE_ARGUMENTS(_tmp)
      SET(${_libs} ${_tmp})

      EXEC_PROGRAM(${_pkgconfig} ARGS \"${_package}\" --cflags-only-I
OUTPUT_VARIABLE _tmp)
      STRING(REPLACE " \n" "" _tmp "${_tmp}")
      STRING(REPLACE "-I" "" _tmp "${_tmp}")
      SEPARATE_ARGUMENTS(_tmp)
      SET(${_include_dirs} ${_tmp})

      EXEC_PROGRAM(${_pkgconfig} ARGS \"${_package}\" --libs-only-L
OUTPUT_VARIABLE _tmp)
      STRING(REPLACE " \n" "" _tmp "${_tmp}")
      STRING(REPLACE "-L" "" _tmp "${_tmp}")
      SEPARATE_ARGUMENTS(_tmp)
      SET(${_lib_dirs} ${_tmp})

      EXEC_PROGRAM(${_pkgconfig} ARGS \"${_package}\"
--cflags-only-other OUTPUT_VARIABLE _tmp)
      STRING(REPLACE " \n" "" _tmp "${_tmp}")
      SET(${_cflags} ${_tmp})

      EXEC_PROGRAM(${_pkgconfig} ARGS \"${_package}\" --libs-only-other
OUTPUT_VARIABLE _tmp)
      STRING(REPLACE " \n" "" _tmp "${_tmp}")
      SET(${_ldflags} ${_tmp})

      SET(${_found} TRUE)

      MESSAGE(STATUS "Package ${_package} found")
    ELSE(NOT _missing)
      MESSAGE(STATUS "Package ${_package} not found")
    ENDIF(NOT _missing)
  ELSE(_pkgconfig)
    MESSAGE(STATUS "Tool pkg-config not found")
  ENDIF(_pkgconfig)

ENDMACRO(PKGCONFIG)
