/* -----------------------------------------------------------------------------
	viewText -- a GTK+ based, lightweight, and fast textviewer
	Copyright (C) 2008 Andreas Rönnquist

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--------------------------------------------------------------------------------

----------------------------------------------------------------------------- */
#include <gtk/gtk.h>
#include "Dialog.h"

/* -----------------------------------------------------------------------------
	RunDialogMessage
----------------------------------------------------------------------------- */
void Dialog::RunDialogMessage(GtkWidget *window, GtkMessageType type, gchar *message, ...)
{
	va_list ap;
	GtkWidget *dialog;
	gchar *str;

	va_start(ap, message);
		str = g_strdup_vprintf(message, ap);
	va_end(ap);

	dialog = gtk_message_dialog_new(GTK_WINDOW(window),
		GTK_DIALOG_DESTROY_WITH_PARENT,
		type,
		GTK_BUTTONS_NONE,
		str);

	gtk_window_set_resizable(GTK_WINDOW(dialog), FALSE);
	gtk_dialog_add_buttons(GTK_DIALOG(dialog),
		GTK_STOCK_OK, GTK_RESPONSE_CANCEL, NULL);

	gtk_dialog_set_default_response(GTK_DIALOG(dialog), GTK_RESPONSE_CANCEL);
	g_free(str);

	gtk_dialog_run(GTK_DIALOG(dialog));
	gtk_widget_destroy(dialog);
}


/* -----------------------------------------------------------------------------
	AboutDialog
----------------------------------------------------------------------------- */
void Dialog::AboutDialog()
{
	GtkWidget *about;

	about=gtk_about_dialog_new();

	gtk_about_dialog_set_name(GTK_ABOUT_DIALOG(about),"viewText");
	gtk_about_dialog_set_version(GTK_ABOUT_DIALOG(about),"0.01");
	gtk_about_dialog_set_copyright(GTK_ABOUT_DIALOG(about),"(C) 2008 Andreas Ronnquist");

	gtk_about_dialog_set_comments(GTK_ABOUT_DIALOG(about),"All about viewText");

	gtk_about_dialog_set_website(GTK_ABOUT_DIALOG(about),"http://www.linux.com");
	gtk_about_dialog_set_website_label(GTK_ABOUT_DIALOG(about),"viewText");

	gtk_dialog_run(GTK_DIALOG(about));

	gtk_widget_destroy(about);
}
