/* -----------------------------------------------------------------------------
	viewText -- a GTK+ based, lightweight, and fast textviewer
	Copyright (C) 2008 Andreas Rönnquist

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--------------------------------------------------------------------------------

----------------------------------------------------------------------------- */
#include <string>

#include <stdio.h>

#include <gtk/gtk.h>

#include "Edit.h"

#include "TextView.h"

#include "Main.h"


/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void Edit::CutOptionClicked(GtkButton *cut,GtkTextView *textView)
{
	printf("Cut!\n");
	GtkClipboard *clipboard=gtk_clipboard_get(GDK_SELECTION_CLIPBOARD);
	gtk_text_buffer_cut_clipboard(Main::textView->GetTextBuffer(),clipboard,TRUE);
}

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void Edit::CopyOptionClicked()
{
	printf("Copy!\n");
	GtkClipboard *clipboard=gtk_clipboard_get(GDK_SELECTION_CLIPBOARD);
	gtk_text_buffer_copy_clipboard(Main::textView->GetTextBuffer(),clipboard);
}

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void Edit::PasteOptionClicked()
{
	printf("Paste!\n");
	GtkClipboard *clipboard=gtk_clipboard_get(GDK_SELECTION_CLIPBOARD);
	gtk_text_buffer_paste_clipboard(Main::textView->GetTextBuffer(),clipboard,NULL,TRUE);
}
