/* -----------------------------------------------------------------------------
	viewText -- a GTK+ based, lightweight, and fast textviewer
	Copyright (C) 2008 Andreas Rönnquist

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--------------------------------------------------------------------------------

----------------------------------------------------------------------------- */
#include <string>
#include <iostream>

#include <gtk/gtk.h>

#include "Toolbar.h"
#include "Menu.h"
#include "File.h"
#include "Statusbar.h"
#include "TextView.h"
#include "Main.h"
#include "Program.h"

/* -----------------------------------------------------------------------------
	main - program main entry
----------------------------------------------------------------------------- */
int main(int argc,char *argv[])
{
	std::string filename="";

	gtk_init(&argc,&argv);


	//std::cout << "argc:" << argc << std::endl;

	// Only program folder/filename in arguments?
	if (argc==1) {

	} else if (argc==2) {
		//std::cout << "2 arguments!" << std::endl;

		filename=argv[1];

	} else {
		std::cout << "To many indata!" << std::endl;
	}

	//std::cout << "print the arguments..." << std::endl;
	/*
	for (int co=0;co<argc;co++) {
		std::cout << "Argument " << co << ":" << argv[co] << std::endl;
	}
	*/


	/* ------------- */

	/*
	GDir *dir=g_dir_open(g_get_home_dir(),0,NULL);

	const gchar *file;

	if (!g_file_test(g_get_home_dir(),G_FILE_TEST_IS_DIR))
		g_error("Error: You dont have a home dir!");

	while((file=g_dir_read_name(dir)))
		g_print("%s\n",file);

	g_dir_close(dir);
	*/

	//std::cout << "Program name:" << g_get_prgname() << std::endl;


	/* ------------- */

	Program::InitProgramStuff();

	Main::InitWindow();

	Menu::InitMenu(Main::vbox);

	//Main::InitToolbar();

	Main::InitTextView(filename);

	Statusbar::CreateStatusbar();

	gtk_box_pack_start (GTK_BOX (Main::vbox), Statusbar::statusbar, FALSE, FALSE, 0);

	// add all to the window
	gtk_container_add(GTK_CONTAINER(Main::window),Main::vbox);

	gtk_widget_show_all(Main::window);


	g_signal_connect (G_OBJECT(Main::window), "delete-event",G_CALLBACK (File::QuitOptionClicked), NULL);
	g_signal_connect(G_OBJECT(Main::window),"destroy",G_CALLBACK(gtk_main_quit),NULL);
	g_signal_connect(G_OBJECT(Main::textView->GetTextView()), "motion-notify-event", G_CALLBACK(TextView::TextViewMotionNotify), NULL);
	//g_signal_connect(G_OBJECT(Main::scrolledWindow), "motion-notify-event", G_CALLBACK(TextView::textview_motion_notify_cb), NULL);
	//g_signal_connect(G_OBJECT(Main::window), "clicked", G_CALLBACK(TextView::textview_motion_notify_cb), NULL);

	/*
	g_signal_connect(G_OBJECT(Main::textView->GetTextView()),"button-press-event",G_CALLBACK(TextView::textview_motion_notify_cb),NULL);
	g_signal_connect(G_OBJECT(Main::textView->GetTextView()),"event",G_CALLBACK(TextView::textview_motion_notify_cb),NULL);
	*/


/*
	g_signal_connect(	G_OBJECT(Main::textView), "motion-notify-event",
		G_CALLBACK(TextView::textview_motion_notify_cb), NULL);*/



	gtk_main();

	return 0;
}
