/* -----------------------------------------------------------------------------
	viewText -- a GTK+ based, lightweight, and fast textviewer
	Copyright (C) 2008 Andreas Rönnquist

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--------------------------------------------------------------------------------

----------------------------------------------------------------------------- */
#include <string>
#include <gtk/gtk.h>
#include <stdio.h>

#include "File.h"
#include "TextView.h"
#include "Main.h"


/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void File::NewOptionClicked()
{
	printf("New option...\n");
}

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void File::OpenOptionClicked()
{
	GtkWidget *dialog;

	gchar *filename=NULL;

	dialog=gtk_file_chooser_dialog_new("Load file...",GTK_WINDOW(Main::window),GTK_FILE_CHOOSER_ACTION_OPEN,GTK_STOCK_CANCEL,GTK_RESPONSE_CANCEL,GTK_STOCK_OPEN,GTK_RESPONSE_ACCEPT,NULL);

	gint result=gtk_dialog_run(GTK_DIALOG(dialog));

	// file is selected - Load it!
	if (result==GTK_RESPONSE_ACCEPT)
	{
		filename=gtk_file_chooser_get_filename(GTK_FILE_CHOOSER(dialog));

		Main::textView->LoadFile(filename);
		Main::textView->FixLinks();

	}

	//printf("Filename:%s\n",filename);

	gtk_widget_destroy(dialog);
}

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void File::SaveOptionClicked()
{

}

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void File::SaveAsOptionClicked()
{

}

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
gboolean File::QuitOptionClicked()
{
	//g_signal_connect(G_OBJECT(window),"destroy",G_CALLBACK(destroy),NULL);

	//GtkResponseType response=ConfirmQuitDialog();

	//printf("Response:%d\n",response);

	//if (response==GTK_RESPONSE_YES) {
		gtk_main_quit();
		return TRUE; // false = Quit
		/*
	} else {
		return TRUE;
	}*/


/*
	if (response==GTK_RESPONSE_NO) {
		return TRUE;
	} else if (response==GTK_RESPONSE_CLOSE) {
		printf("Krubb!\n");
		return TRUE;
	} else {
		gtk_main_quit();
		return FALSE;
	}
	*/
}


/* -----------------------------------------------------------------------------
	ConfirmQuitDialog
----------------------------------------------------------------------------- */
GtkResponseType File::ConfirmQuitDialog()
{
	GtkWidget *dialog;
	GtkResponseType response;

	/* create the dialog */
	dialog = gtk_message_dialog_new (NULL,
			GTK_DIALOG_DESTROY_WITH_PARENT,
			GTK_MESSAGE_QUESTION,
			GTK_BUTTONS_YES_NO,
			"Are you sure you want to quit?");

	gtk_window_set_title(GTK_WINDOW(dialog), "Really Quit?");

	/* run the dialog */
	response = (GtkResponseType)gtk_dialog_run (GTK_DIALOG (dialog));
	gtk_widget_destroy (dialog);

	return response;
}
