/* -----------------------------------------------------------------------------
	viewText -- a GTK+ based, lightweight, and fast textviewer
	Copyright (C) 2008 Andreas Rönnquist

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--------------------------------------------------------------------------------

----------------------------------------------------------------------------- */
#include <string>
#include <sstream>

#include <gtk/gtk.h>

#include "Toolbar.h"
#include "Menu.h"
#include "File.h"
#include "Statusbar.h"
#include "TextView.h"
#include "Main.h"
#include "Program.h"


GtkWidget *Main::window,*Main::vbox;
GtkWidget *Main::scrolledWindow;

GtkWidget *Main::toolbar;
TextView *Main::textView;


GdkCursor *Main::handCursor;
GdkCursor *Main::standardCursor;

GClosure *Main::gc;

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void Main::InitWindow()
{
	window=gtk_window_new(GTK_WINDOW_TOPLEVEL);

	std::stringstream windowText;
	windowText << Program::ProgramName << " v" << Program::VersionString;

	gtk_window_set_title(GTK_WINDOW(window),windowText.str().c_str());
	gtk_container_set_border_width(GTK_CONTAINER (window),0);
	gtk_widget_set_size_request(window,300,300);

	gtk_window_set_default_size(GTK_WINDOW(window),800,800);

	//GtkWidget *scrolledWindow=GTK_WIDGET(window);

	vbox=gtk_vbox_new(FALSE,0);

	scrolledWindow=gtk_scrolled_window_new(NULL,NULL);
	gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scrolledWindow),GTK_POLICY_AUTOMATIC,GTK_POLICY_ALWAYS);

	gtk_window_set_resizable(GTK_WINDOW(window),TRUE);

	handCursor=gdk_cursor_new(GDK_HAND2);
	standardCursor=gdk_cursor_new(GDK_XTERM);

}

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void Main::InitToolbar()
{
	toolbar=gtk_toolbar_new();
	Toolbar::CreateToolbar((GtkWidget*)toolbar,(GtkWidget*)Main::window);
	gtk_box_pack_start (GTK_BOX (Main::vbox), toolbar, FALSE, FALSE, 0);
}

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void Main::InitTextView(std::string inFilename)
{

	/*
	scrolledWindow=gtk_scrolled_window_new(NULL,NULL);
	gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scrolledWindow),GTK_POLICY_AUTOMATIC,GTK_POLICY_ALWAYS);

	gtk_container_add(GTK_CONTAINER(vbox),scrolledWindow);
	*/

	std::string filename="";

	//std::string filename="/media/download/DOWNLOAD/Filmer/White.Noise.2-The.Light[2007]DvDrip[Eng]-aXXo/white.noise.2-the.light-aXXo.nfo";
	if (inFilename!="") {
		filename=inFilename;
	} 

	// the textview

	textView=new TextView(filename);

	//TextView::initTextView();
	//textView->ContainerAdd(GTK_CONTAINER(Main::scrolledWindow));

	gtk_container_add(GTK_CONTAINER(scrolledWindow),GTK_WIDGET(textView->GetTextView()));


	gtk_container_add(GTK_CONTAINER(vbox),scrolledWindow);

}

