/* -----------------------------------------------------------------------------
	viewText -- a GTK+ based, lightweight, and fast textviewer
	Copyright (C) 2008 Andreas Rönnquist

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--------------------------------------------------------------------------------
	Options.cpp

----------------------------------------------------------------------------- */
#include <iostream>
#include <sstream>
#include <gtk/gtk.h>

#include "TextView.h"
#include "Main.h"
#include "Options.h"
#include "Program.h"

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void Options::ChangeFont()
{
	GtkWidget *fontDialog;

	fontDialog=gtk_font_selection_dialog_new("Choose a font");

	gtk_font_selection_dialog_set_font_name(GTK_FONT_SELECTION_DIALOG(fontDialog),(char*)(Main::textView->GetFontString().c_str()));

	std::stringstream testText;

	testText << "This is " << Program::ProgramName << " v" << Program::VersionString << " - Enjoy!";

	gtk_font_selection_dialog_set_preview_text(GTK_FONT_SELECTION_DIALOG(fontDialog),
			testText.str().c_str());

	g_signal_connect(G_OBJECT(fontDialog),"response",G_CALLBACK(FontDialogResponse),NULL);

	gtk_widget_show_all(fontDialog);
}

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void Options::FontDialogResponse(GtkFontSelectionDialog *dialog,gint response,gpointer data)
{
	gchar *font;

	//GtkWidget *message;

	switch(response)
	{
	case GTK_RESPONSE_APPLY:
	case GTK_RESPONSE_OK:

		font=gtk_font_selection_dialog_get_font_name(dialog);

#ifdef _DEBUG
		std::cout << "Font selected:" << font << std::endl;
#endif

		Main::textView->SetFontString(font);

		break;
	default:
		gtk_widget_destroy(GTK_WIDGET(dialog));
	};

	if (response==GTK_RESPONSE_OK) {
		gtk_widget_destroy(GTK_WIDGET(dialog));
	}


}

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void Options::ChangeColors()
{
}


