/* -----------------------------------------------------------------------------
	viewText -- a GTK+ based, lightweight, and fast textviewer
	Copyright (C) 2008 Andreas Rönnquist

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--------------------------------------------------------------------------------
	toolbar.cpp
		Creates the toolbar

----------------------------------------------------------------------------- */
#include <gtk/gtk.h>

#include "Toolbar.h"
#include "Edit.h"
#include "File.h"

GtkToolItem *Toolbar::new_option,*Toolbar::open_option,*Toolbar::save_option;
GtkToolItem *Toolbar::cut_option,*Toolbar::copy_option,*Toolbar::paste_option;

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void Toolbar::CreateToolbar(GtkWidget *toolbar,GtkWidget *entry)
{

	new_option=gtk_tool_button_new_from_stock(GTK_STOCK_NEW);
	open_option=gtk_tool_button_new_from_stock(GTK_STOCK_OPEN);
	save_option=gtk_tool_button_new_from_stock(GTK_STOCK_SAVE);

	cut_option=gtk_tool_button_new_from_stock(GTK_STOCK_CUT);
	copy_option=gtk_tool_button_new_from_stock(GTK_STOCK_COPY);

	paste_option=gtk_tool_button_new_from_stock(GTK_STOCK_PASTE);

	gtk_toolbar_set_show_arrow(GTK_TOOLBAR(toolbar),TRUE);

	gtk_toolbar_set_style(GTK_TOOLBAR(toolbar),GTK_TOOLBAR_ICONS);


	gtk_tool_button_set_label_widget(GTK_TOOL_BUTTON(cut_option),NULL);
	gtk_tool_button_set_label(GTK_TOOL_BUTTON(cut_option),"Cut");

	gtk_tool_item_set_is_important(GTK_TOOL_ITEM(cut_option),TRUE);

	gtk_toolbar_set_tooltips(GTK_TOOLBAR(toolbar),TRUE);

	// -1 = insert it at the end
	gtk_toolbar_insert(GTK_TOOLBAR(toolbar),new_option,-1);
	gtk_toolbar_insert(GTK_TOOLBAR(toolbar),open_option,-1);
	gtk_toolbar_insert(GTK_TOOLBAR(toolbar),save_option,-1);

	gtk_toolbar_insert(GTK_TOOLBAR(toolbar),cut_option,-1);
	gtk_toolbar_insert(GTK_TOOLBAR(toolbar),copy_option,-1);
	gtk_toolbar_insert(GTK_TOOLBAR(toolbar),paste_option,-1);

	g_signal_connect_swapped(G_OBJECT(new_option),"clicked",G_CALLBACK(File::NewOptionClicked),entry);
	g_signal_connect_swapped(G_OBJECT(open_option),"clicked",G_CALLBACK(File::OpenOptionClicked),entry);
	g_signal_connect_swapped(G_OBJECT(save_option),"clicked",G_CALLBACK(File::SaveOptionClicked),entry);

	g_signal_connect_swapped(G_OBJECT(cut_option),"clicked",G_CALLBACK(Edit::CutOptionClicked),entry);
	g_signal_connect_swapped(G_OBJECT(copy_option),"clicked",G_CALLBACK(Edit::CopyOptionClicked),entry);
	g_signal_connect_swapped(G_OBJECT(paste_option),"clicked",G_CALLBACK(Edit::PasteOptionClicked),entry);

}

